## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathConstructionContextDefault Class Reference

An default implementation of an abtract class which provides support for constructing the internal representation of an XPath. More...

`#include <XPathConstructionContextDefault.hpp>`

Inheritance diagram for XPathConstructionContextDefault

Collaboration diagram for XPathConstructionContextDefault:

List of all members.

## Public Methods

- XPathConstructionContextDefault ()
- virtual ~XPathConstructionContextDefault ()
- virtual void reset ()
    Reset the instance. More...
- virtual const XalanDOMString& getPooledString (const XalanDOMString& theString)
    Get a pooled string given the source string. More...
- virtual const XalanDOMString& getPooledString ( const XalanDOMChar* theString, XalanDOMString::size_type theLength = XalanDOMString::npos)
    Get a pooled string given the source character array. More...
- virtual XalanDOMString& getCachedString ()
    Get a cached string for temporary use. More...
- virtual bool releaseCachedString (XalanDOMString& theString)
    Return a cached string. More...

## Detailed Description

An default implementation of an abtract class which provides support for constructing the internal representation of an XPath.

## Constructor & Destructor Documentation

XPathConstructionContextDefault::XPathConstructionContextDefault ( | )

virtual XPathConstructionContextDefault::~XPathConstructionContextDefault ( | )`[virtual]`

## Member Function Documentation

virtual XalanDOMString& XPathConstructionContextDefault::getCachedString ( | )`[virtual]`

Get a cached string for temporary use.

Returns:
  A reference to the string

Reimplemented from XPathConstructionContext.

virtual const XalanDOMString& XPathConstructionContextDefault::getPooledString ( | const XalanDOMChar * theString,
| XalanDOMString::size_type theLength = XalanDOMString::npos )`[virtual]`

Get a pooled string given the source character array.

If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use.

Parameters:

  theString | The source character array
  theLength | The length of the character array

Returns:
  a const reference to a pooled string.

Reimplemented from XPathConstructionContext.

virtual const XalanDOMString& XPathConstructionContextDefault::getPooledString ( | const XalanDOMString & theString )`[virtual]`

Get a pooled string given the source string.

If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use.

Parameters:

  theString | The source string

Returns:
  a const reference to a pooled string.

Reimplemented from XPathConstructionContext.

virtual bool XPathConstructionContextDefault::releaseCachedString ( | XalanDOMString & theString )`[virtual]`

Return a cached string.

Parameters:

  theString | The string to release.

Returns:
  true if the string was released successfully.

Reimplemented from XPathConstructionContext.

virtual void XPathConstructionContextDefault::reset ( | )`[virtual]`

Reset the instance.

Any existing objects created by the instance will be destroyed.

Reimplemented from XPathConstructionContext.

The documentation for this class was generated from the following file:

- XPathConstructionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.